org.apache.http.impl.conn

## Class DefaultHttpResponseParser

- java.lang.Object
- - org.apache.http.impl.io.AbstractMessageParser<HttpResponse>
  - - org.apache.http.impl.conn.DefaultHttpResponseParser

- All Implemented Interfaces:
    HttpMessageParser < HttpResponse >

      public class DefaultHttpResponseParser
      extends AbstractMessageParser<HttpResponse>

  超过HTTP响应解析器实现，可以跳过格式不正确的数据，直到遇到有效的HTTP响应消息头。
  从以下版本开始：
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.io.AbstractMessageParser

      `lineParser`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultHttpResponseParser(SessionInputBuffer buffer)` 创建DefaultHttpResponseParser的新实例。
    `DefaultHttpResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)` 已过时。 （4.3）使用`DefaultHttpResponseParser( SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`
    `DefaultHttpResponseParser(SessionInputBuffer buffer, LineParser lineParser, HttpResponseFactory responseFactory, MessageConstraints constraints)` 创建DefaultHttpResponseParser的新实例。
    `DefaultHttpResponseParser(SessionInputBuffer buffer, MessageConstraints constraints)` 创建DefaultHttpResponseParser的新实例。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpResponse` | `parseHead(SessionInputBuffer sessionBuffer)`
    `protected boolean` | `reject(CharArrayBuffer line, int count)`

    - ### Methods inherited from class org.apache.http.impl.io.AbstractMessageParser

      `parse, parseHeaders, parseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### DefaultHttpResponseParser

          @Deprecated
          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                              LineParser parser,
                                              HttpResponseFactory responseFactory,
                                              HttpParams params)

      已过时。 （4.3）使用`DefaultHttpResponseParser( SessionInputBuffer, LineParser, HttpResponseFactory, MessageConstraints)`

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                   LineParser lineParser,
                                   HttpResponseFactory responseFactory,
                                   MessageConstraints constraints)

      创建DefaultHttpResponseParser的新实例。
      参数
        `buffer` - 会话输入缓冲区。
        `lineParser` - 线解析器。 如果将使用`null` `BasicLineParser.INSTANCE` 。
        `responseFactory` - HTTP响应工厂。 如果将使用`null` `DefaultHttpResponseFactory.INSTANCE` 。
        `constraints` - 消息约束。 如果将使用`null` `MessageConstraints.DEFAULT` 。
      从以下版本开始：
        4.3

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer,
                                   MessageConstraints constraints)

      创建DefaultHttpResponseParser的新实例。
      参数
        `buffer` - 会话输入缓冲区。
        `constraints` - 消息约束。 如果使用`null` `MessageConstraints.DEFAULT` 。
      从以下版本开始：
        4.3

    - #### DefaultHttpResponseParser

          public DefaultHttpResponseParser(SessionInputBuffer buffer)

      创建DefaultHttpResponseParser的新实例。
      参数
        `buffer` - 会话输入缓冲区。
      从以下版本开始：
        4.3

  - ### 方法详细信息

    - #### parseHead

          protected HttpResponse parseHead(SessionInputBuffer sessionBuffer)
                                    throws IOException,
                                           HttpException

      Specified by:
        `parseHead`在 `AbstractMessageParser<HttpResponse>`
      异常
        `IOException`
        `HttpException`

    - #### reject

          protected boolean reject(CharArrayBuffer line,
                       int count)

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585